Subject: RE: [rohc] RE: The 'b'-bit

From: [email-masked]
Date: Fri, 15 Mar 2002 10:43:35 -0600

> > I'm asking this because this thread started as case b) 
> > (see below), but it seems what you said above is about a)?
> > 
> > endpoint 1                     endpoint 2
> >                  m(S0)
> > map M to S1  ------------>    create M, and S1=S0+M
> > 
> >         announcement: b=0, shared_id=M
> >            <--------------------
> 
> I think that the above diagram is missing the 's' bit, which 
> is sent in the first message to indicate that Endpoint 1 has saved message M as
> state. 

I'm totally lost. Do you mean 'r' bit? But it has been replaced
by other approached according to email exchanged between Hans and you,
Right?
https://www1.ietf.org/mail-archive/working-groups/rohc/current/msg00152.html 

> In fact the thread is not concerned with whether the 'b' bit is
> discarded, but whether the 's' bit is discarded. 

The title and what you discribed below *is* about 'b' bit: since
in your view it will never be set to 0, so we don't need it. Is
it not the subject here?

BR,
Zhigang

> Looking at this in more detail, in order to set the 'b' bit to 0 the
> following two conditions must be satisfied:
> 
> i)  The announcement request for the 's' bit must succeed
>     (otherwise shared_id cannot be set to M)
> 
> ii) The state creation request for S1=S0+M must fail
> 
> In SigComp-05 however, if the state creation request fails then the
> announcement request fails also. This prevents the 'b' bit from ever
> being set to 0, because if condition ii) is met then the 's' bit is
> discarded and so condition i) is not met.
> 
> Regards,
> 
> Richard
> 

_______________________________________________
Rohc mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rohc